Loading...
Searching...
No Matches
Dune::SuperLUMatrix< BCRSMatrix< B, TA > > Class Template Reference

Converter for BCRSMatrix to SuperLU Matrix. More...

`#include <dune/istl/supermatrix.hh>`

Inheritance diagram for Dune::SuperLUMatrix< BCRSMatrix< B, TA > >:

## Public Types

typedef BCRSMatrix< B, TA > | Matrix
| The type of the matrix to convert.
typedef Matrix::size_type | size_type

## Public Member Functions

| SuperLUMatrix (const Matrix &mat)
| Constructor that initializes the data.
| SuperLUMatrix ()
virtual | ~SuperLUMatrix ()
| Destructor.
| operator SuperMatrix & ()
| Cast to a SuperLU Matrix.
| operator const SuperMatrix & () const
| Cast to a SuperLU Matrix.
SuperLUMatrix< BCRSMatrix< B, TA > > & | operator= (const BCRSMatrix< B, TA > &mat)
SuperLUMatrix< BCRSMatrix< B, TA > > & | operator= (const SuperLUMatrix< BCRSMatrix< B, TA > > &mat)
virtual void | setMatrix (const Matrix &mat, const std::set< typename Matrix::size_type > &mrs)
| Initialize data from a given set of matrix rows and columns.
virtual void | setMatrix (const Matrix &mat)
| Initialize data from given matrix.
void | free () override
| free allocated space.

## Friends

template<class M, class X, class TM, class TD, class T1>
class | SeqOverlappingSchwarz
struct | SuperMatrixInitializer< BCRSMatrix< B, TA > >
struct | SeqOverlappingSchwarzAssemblerHelper< SuperLU< Matrix >, true >

## Detailed Description

template<class B, class TA>
class Dune::SuperLUMatrix< BCRSMatrix< B, TA > >

Converter for BCRSMatrix to SuperLU Matrix.

## Member Typedef Documentation

## Matrix

template<class B, class TA>

typedef BCRSMatrix<B,TA> Dune::SuperLUMatrix< BCRSMatrix< B, TA > >::Matrix

The type of the matrix to convert.

## size_type

template<class B, class TA>

typedef Matrix::size_type Dune::SuperLUMatrix< BCRSMatrix< B, TA > >::size_type

## Constructor & Destructor Documentation

## SuperLUMatrix() [1/2]

template<class B, class TA>

Dune::SuperLUMatrix< BCRSMatrix< B, TA > >::SuperLUMatrix | ( | const Matrix & | mat | ) |

inline explicit

Constructor that initializes the data.

Parameters

  mat | The matrix to convert.

## SuperLUMatrix() [2/2]

template<class B, class TA>

Dune::SuperLUMatrix< BCRSMatrix< B, TA > >::SuperLUMatrix | ( |  | ) |

inline

## ~SuperLUMatrix()

template<class B, class TA>

virtual Dune::SuperLUMatrix< BCRSMatrix< B, TA > >::~SuperLUMatrix | ( |  | ) |

inline virtual

Destructor.

## Member Function Documentation

## free()

template<class B, class TA>

void Dune::SuperLUMatrix< BCRSMatrix< B, TA > >::free | ( |  | ) |

inline override

free allocated space.

## operator const SuperMatrix &()

template<class B, class TA>

Dune::SuperLUMatrix< BCRSMatrix< B, TA > >::operator const SuperMatrix & | ( |  | ) | const

inline

Cast to a SuperLU Matrix.

## operator SuperMatrix &()

template<class B, class TA>

Dune::SuperLUMatrix< BCRSMatrix< B, TA > >::operator SuperMatrix & | ( |  | ) |

inline

Cast to a SuperLU Matrix.

## operator=() [1/2]

template<class B, class TA>

SuperLUMatrix< BCRSMatrix< B, TA > > & Dune::SuperLUMatrix< BCRSMatrix< B, TA > >::operator= | ( | const BCRSMatrix< B, TA > & | mat | ) |

inline

## operator=() [2/2]

template<class B, class TA>

SuperLUMatrix< BCRSMatrix< B, TA > > & Dune::SuperLUMatrix< BCRSMatrix< B, TA > >::operator= | ( | const SuperLUMatrix< BCRSMatrix< B, TA > > & | mat | ) |

inline

## setMatrix() [1/2]

template<class B, class TA>

virtual void Dune::SuperLUMatrix< BCRSMatrix< B, TA > >::setMatrix | ( | const Matrix & | mat | ) |

inline virtual

Initialize data from given matrix.

## setMatrix() [2/2]

template<class B, class TA>

virtual void Dune::SuperLUMatrix< BCRSMatrix< B, TA > >::setMatrix | ( | const Matrix & | mat,
|  | const std::set< typename Matrix::size_type > & | mrs )

inline virtual

Initialize data from a given set of matrix rows and columns.

Template Parameters

  The | type of the row index set.

Parameters

  mat | the matrix with the values
  mrs | The set of row (and column) indices to represent

## Friends And Related Symbol Documentation

## SeqOverlappingSchwarz

template<class B, class TA>
template<class M, class X, class TM, class TD, class T1>

friend class SeqOverlappingSchwarz

friend

## SeqOverlappingSchwarzAssemblerHelper< SuperLU< Matrix >, true >

template<class B, class TA>

friend struct SeqOverlappingSchwarzAssemblerHelper< SuperLU< Matrix >, true >

friend

## SuperMatrixInitializer< BCRSMatrix< B, TA > >

template<class B, class TA>

friend struct SuperMatrixInitializer< BCRSMatrix< B, TA > >

friend

The documentation for this class was generated from the following file:

- supermatrix.hh